[arch-commits] Commit in haskell-hspec-core/repos/community-staging-x86_64 (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Fri Apr 1 01:47:24 UTC 2022


    Date: Friday, April 1, 2022 @ 01:47:24
  Author: felixonmars
Revision: 1178242

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-hspec-core/repos/community-staging-x86_64/PKGBUILD
    (from rev 1178241, haskell-hspec-core/trunk/PKGBUILD)
Deleted:
  haskell-hspec-core/repos/community-staging-x86_64/PKGBUILD

----------+
 PKGBUILD |  104 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-04-01 01:47:10 UTC (rev 1178241)
+++ PKGBUILD	2022-04-01 01:47:24 UTC (rev 1178242)
@@ -1,52 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-_hkgname=hspec-core
-pkgname=haskell-hspec-core
-pkgver=2.9.4
-pkgrel=3
-pkgdesc="A Testing Framework for Haskell"
-url="http://hspec.github.io/"
-license=('MIT')
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-ansi-terminal' 'haskell-call-stack' 'haskell-clock' 'haskell-ghc'
-         'haskell-hspec-expectations' 'haskell-hunit' 'haskell-quickcheck' 'haskell-quickcheck-io'
-         'haskell-random' 'haskell-setenv' 'haskell-tf-random')
-makedepends=('ghc')
-checkdepends=('haskell-base-orphans' 'haskell-hspec-meta' 'haskell-silently' 'haskell-temporary')
-source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
-sha512sums=('55859f3a6db6ca855a560b7b16f001784a81f6a70061374d58841fe0d6bdb99e98b522df03677ea132222ad6c96b3fed8d87aedb96dfde5326b7e6fde238e387')
-
-build() {
-    cd $_hkgname-$pkgver
-
-    if (( CHECKFUNC )); then
-        _opts=('--enable-tests')
-    else
-        _opts=('--disable-tests')
-    fi
-    
-    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname "${_opts[@]}" \
-        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
-    runhaskell Setup build $MAKEFLAGS
-    runhaskell Setup register --gen-script
-    runhaskell Setup unregister --gen-script
-    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
-    cd $_hkgname-$pkgver
-    # https://github.com/hspec/hspec/issues/432
-    runhaskell Setup test || :
-}
-
-package() {
-    cd $_hkgname-$pkgver
-    
-    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
-    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
-    runhaskell Setup copy --destdir="$pkgdir"
-    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}

Copied: haskell-hspec-core/repos/community-staging-x86_64/PKGBUILD (from rev 1178241, haskell-hspec-core/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-04-01 01:47:24 UTC (rev 1178242)
@@ -0,0 +1,52 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=hspec-core
+pkgname=haskell-hspec-core
+pkgver=2.9.4
+pkgrel=4
+pkgdesc="A Testing Framework for Haskell"
+url="http://hspec.github.io/"
+license=('MIT')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-ansi-terminal' 'haskell-call-stack' 'haskell-clock' 'haskell-ghc'
+         'haskell-hspec-expectations' 'haskell-hunit' 'haskell-quickcheck' 'haskell-quickcheck-io'
+         'haskell-random' 'haskell-setenv' 'haskell-tf-random')
+makedepends=('ghc')
+checkdepends=('haskell-base-orphans' 'haskell-hspec-meta' 'haskell-silently' 'haskell-temporary')
+source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
+sha512sums=('55859f3a6db6ca855a560b7b16f001784a81f6a70061374d58841fe0d6bdb99e98b522df03677ea132222ad6c96b3fed8d87aedb96dfde5326b7e6fde238e387')
+
+build() {
+    cd $_hkgname-$pkgver
+
+    if (( CHECKFUNC )); then
+        _opts=('--enable-tests')
+    else
+        _opts=('--disable-tests')
+    fi
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname "${_opts[@]}" \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/hspec/hspec/issues/432
+    runhaskell Setup test || :
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list